rte_mtr_meter_profile(3)
πΈ NAME
okay so this is rte_mtr_meter_profile, bestie β straight from the DPDK Library Functions Manual. It's the Meter profile struct, and yes, it's lowkey iconic. π
β¨ SYNOPSIS
#include <rte_mtr.h>
π¦ Data Fields
enum rte_mtr_algorithm algint packet_mode
π¦ Detailed Description
Meter profile β periodt.
Definition at line 128 of file rte_mtr.h.
π Field Documentation
enum rte_mtr_algorithm algβ Traffic metering algorithm. Definition at line 130 of filerte_mtr.h.uint64_t cirβ Committed Information Rate (CIR) (bytes per second or packets per second). Definition at line 139 of filerte_mtr.h.uint64_t cbsβ Committed Burst Size (CBS) (bytes or packets). Definition at line 142 of filerte_mtr.h.uint64_t ebsβ Excess Burst Size (EBS) (bytes or packets). Definition at line 145 of filerte_mtr.h.struct { ... } srtcm_rfc2697β Items only valid whenalgis set tosrTCM - RFC 2697.uint64_t pirβ Peak Information Rate (PIR) (bytes per second or packets per second). Definition at line 160 of filerte_mtr.h.uint64_t pbsβ Peak Burst Size (PBS) (bytes or packets). Definition at line 166 of filerte_mtr.h.struct { ... } trtcm_rfc2698β Items only valid whenalgis set totrTCM - RFC 2698.uint64_t eirβ Excess Information Rate (EIR) (bytes per second or packets per second). Definition at line 181 of filerte_mtr.h.struct { ... } trtcm_rfc4115β Items only valid whenalgis set totrTCM - RFC 4115.int packet_modeβ When zero, the byte mode is enabled for the current profile, so the rate and size fields are specified in bytes per second and bytes, respectively. When non-zero, the packet mode is enabled for the current profile, so the rate and size fields are specified in packets per second and packets, respectively. Definition at line 199 of filerte_mtr.h.
π Author
Generated automatically by Doxygen for DPDK from the source code.
π«Ά that's the whole page, bestie. brought to you by DPDK, Version 26.03.0, with rte_mtr_meter_profile(3) energy. the footer didn't hand us a separate date, so no invented date β just vibes. bye π
π¦ where this page comes from
- nixos 26.05: dpdk 26.03
- nixpkgs unstable: dpdk 26.03
- π girlified by deepseek-ai/DeepSeek-V4.1-Flash-1017 on : a language model's rewrite of the original, under its terms